Bug 191607 - Review Request: lineak-xosdplugin - Onscreen display support for lineakd
Review Request: lineak-xosdplugin - Onscreen display support for lineakd
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 191604
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-13 15:47 EDT by Chris Petersen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-03 05:14:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Petersen 2006-05-13 15:47:28 EDT
Spec URL: http://forevermore.net/files/packages/lineak/lineak_xosdplugin.spec
SRPM URL: http://forevermore.net/files/packages/lineak/lineak_xosdplugin-0.8.4-1.src.rpm
Description: 

Plugin for lineakd to add support for onscreen display via XOSD.
Comment 2 Chris Petersen 2006-05-21 04:40:39 EDT
Shuffling files around on my server, and making a few changes to bring things up
to par.

http://rpm.forevermore.net/lineak/lineak_xosdplugin.spec
http://rpm.forevermore.net/lineak/lineak_xosdplugin-0.8.4-2.src.rpm
Comment 5 Jason Tibbitts 2006-06-01 16:34:52 EDT
Just got a build failure:

/bin/sh ../libtool --silent --mode=link --tag=CXX g++  -Wnon-virtual-dtor
-Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align
-Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -O2 -O2
-g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -Wformat-security
-Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common   -LNONE 
-lX11 -lXext -ldl -o xosdplugin.la -rpath /usr/lib64/lineakd/plugins -module
-avoid-version xosdplugin.lo xosdctrl.lo -lX11 -llineak -L/usr/lib64 -lxosd
-lpthread -lXext -lX11 -lXinerama -lxosd -llineak
../libtool: line 1573: cd: NONE: No such file or directory
libtool: link: cannot determine absolute directory name of `NONE'
make[2]: *** [xosdplugin.la] Error 1

I'm not really sure what's up here; I'll try to take a closer look later.
Comment 6 Jason Tibbitts 2006-06-01 19:58:47 EDT
The issue was simply a missing BuildRequires: libXt-devel; I'll add it and
proceed with the review.

Note that the ChangeLog file has zero length and should not be packaged:

E: lineak-xosdplugin zero-length /usr/share/doc/lineak-xosdplugin-0.8.4/ChangeLog

These are pretty quick fixes, so I'll go ahead and approve and you can fix them
when you check in.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* source files match upstream:
   36f519b21e7c7257bd9af6543f7fd9fc  lineak_xosdplugin-0.8.4.tar.gz
   36f519b21e7c7257bd9af6543f7fd9fc  lineak_xosdplugin-0.8.4.tar.gz-srpm
* latest version is being packaged.
O BuildRequires are proper (after adding libXt-devel as above).
O package builds in mock (development, x86_64) (after fixing BRs.)
X rpmlint complains about ChangeLog.
* final provides and requires are sane:
   lineak_xosdplugin = 0.8.4
   xosdplugin.so()(64bit)
   lineak-xosdplugin = 0.8.4-4.fc6
  -
   libX11.so.6()(64bit)
   libXext.so.6()(64bit)
   libXinerama.so.1()(64bit)
   libdl.so.2()(64bit)
   liblineak.so.0()(64bit)
   libxosd.so.2()(64bit)
   lineakd = 0.8.4
   xosd >= 2.1
* one shared library is present, but it is internal to lineakd and so there's no
need to call ldconfig.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present; no test suite upstream.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED, but please don't package the zero length ChangeLog and don't forget to
add the BR: libXt-devel so the package will build.

Note You need to log in before you can comment on or make changes to this bug.